<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.4) on Mon May 11 16:25:08 CEST 2020 -->
<title>EnvironmentBuilder</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-05-11">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="EnvironmentBuilder";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10,"i33":10,"i34":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/EnvironmentBuilder.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">thesis</a></div>
<h2 title="Class EnvironmentBuilder" class="title">Class EnvironmentBuilder</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>thesis.EnvironmentBuilder</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code>repast.simphony.dataLoader.ContextBuilder&lt;java.lang.Object&gt;</code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">EnvironmentBuilder</span>
extends java.lang.Object
implements repast.simphony.dataLoader.ContextBuilder&lt;java.lang.Object&gt;</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">EnvironmentBuilder</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>repast.simphony.context.Context</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#build(repast.simphony.context.Context)">build</a></span>&#8203;(repast.simphony.context.Context&lt;java.lang.Object&gt;&nbsp;context)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;java.lang.String&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#conver_fac_EV(java.util.List)">conver_fac_EV</a></span>&#8203;(java.util.List&lt;java.lang.Integer&gt;&nbsp;fac_EV)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#convert_batt_suf(int)">convert_batt_suf</a></span>&#8203;(int&nbsp;batt_suf)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#convert_car_age(int)">convert_car_age</a></span>&#8203;(int&nbsp;bouwjaar)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#convert_car_combustion_type(int)">convert_car_combustion_type</a></span>&#8203;(int&nbsp;fuelType)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#convert_car_ownership_type(int)">convert_car_ownership_type</a></span>&#8203;(int&nbsp;carType)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#convert_car_weight(int)">convert_car_weight</a></span>&#8203;(int&nbsp;gewichtsklasse)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#convert_choice_without_f(int)">convert_choice_without_f</a></span>&#8203;(int&nbsp;choice_without_F)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>java.lang.Boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#convert_drivers_license(int)">convert_drivers_license</a></span>&#8203;(int&nbsp;drivers_license)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#convert_education(int)">convert_education</a></span>&#8203;(int&nbsp;education)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>java.util.List&lt;java.lang.String&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#convert_EV_negative_surprise(java.util.List)">convert_EV_negative_surprise</a></span>&#8203;(java.util.List&lt;java.lang.Integer&gt;&nbsp;EV_neg)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;java.lang.String&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#convert_EV_positive_surprise(java.util.List)">convert_EV_positive_surprise</a></span>&#8203;(java.util.List&lt;java.lang.Integer&gt;&nbsp;EV_pos)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>java.util.List&lt;java.lang.String&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#convert_EV_reason(java.util.List)">convert_EV_reason</a></span>&#8203;(java.util.List&lt;java.lang.Integer&gt;&nbsp;reason_EV)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#convert_fear_insuf_batt(int)">convert_fear_insuf_batt</a></span>&#8203;(int&nbsp;insuf_batt)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#convert_happy_walk(int)">convert_happy_walk</a></span>&#8203;(int&nbsp;happy_walk)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>java.lang.Boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#convert_has_car(int)">convert_has_car</a></span>&#8203;(int&nbsp;has_car)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#convert_home_parking(int,int,int,int,int)">convert_home_parking</a></span>&#8203;(int&nbsp;private_parking,
                    int&nbsp;neighbourhood_parking,
                    int&nbsp;neighbourhood_parking_$,
                    int&nbsp;somewhere_else_parking,
                    int&nbsp;somewhere_else_parking_$)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#convert_household(int)">convert_household</a></span>&#8203;(int&nbsp;household)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#convert_income(int)">convert_income</a></span>&#8203;(int&nbsp;income)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>java.lang.Boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#convert_knowledge_BEV(int)">convert_knowledge_BEV</a></span>&#8203;(int&nbsp;knowledge_BEV)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#convert_knowledge_environmental(int,int,int,int,int,int,int)">convert_knowledge_environmental</a></span>&#8203;(int&nbsp;a,
                               int&nbsp;b,
                               int&nbsp;c,
                               int&nbsp;d,
                               int&nbsp;e,
                               int&nbsp;f,
                               int&nbsp;g)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#convert_knowledge_EV_regulations(int,int,int)">convert_knowledge_EV_regulations</a></span>&#8203;(int&nbsp;a,
                                int&nbsp;b,
                                int&nbsp;c)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#convert_nbr_peop_organisation(int)">convert_nbr_peop_organisation</a></span>&#8203;(int&nbsp;nbr_peop_organisation)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#convert_parking_at_work(int,int)">convert_parking_at_work</a></span>&#8203;(int&nbsp;at_work,
                       int&nbsp;at_work_$)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#convert_participation_environmental(java.util.List)">convert_participation_environmental</a></span>&#8203;(java.util.List&lt;java.lang.Integer&gt;&nbsp;env_tact)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>java.lang.Boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#convert_priv_loadPole(int)">convert_priv_loadPole</a></span>&#8203;(int&nbsp;priv_loadPole)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#convert_prof_sector(int)">convert_prof_sector</a></span>&#8203;(int&nbsp;prof_sector)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;java.lang.String&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#convert_reason_not_to_use_shared_car(java.util.List)">convert_reason_not_to_use_shared_car</a></span>&#8203;(java.util.List&lt;java.lang.Integer&gt;&nbsp;re_not_sh)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#convert_reason_to_go_with_car(int)">convert_reason_to_go_with_car</a></span>&#8203;(int&nbsp;reason_to_go_with_car)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;java.lang.String&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#convert_reason_to_use_shared_car(java.util.List)">convert_reason_to_use_shared_car</a></span>&#8203;(java.util.List&lt;java.lang.Integer&gt;&nbsp;re_use_sh)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#convert_satisfaction_commute(int)">convert_satisfaction_commute</a></span>&#8203;(int&nbsp;satisfaction_commute)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#convert_sex(int)">convert_sex</a></span>&#8203;(int&nbsp;sex)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code>java.util.List&lt;java.lang.String&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#convert_stim_work_provider(java.util.List)">convert_stim_work_provider</a></span>&#8203;(java.util.List&lt;java.lang.Integer&gt;&nbsp;work_stimuli)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#convert_used_shared_car(int,int,int)">convert_used_shared_car</a></span>&#8203;(int&nbsp;a,
                       int&nbsp;b,
                       int&nbsp;c)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i34" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#convert_work_situation(int)">convert_work_situation</a></span>&#8203;(int&nbsp;work_situation)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>EnvironmentBuilder</h4>
<pre>public&nbsp;EnvironmentBuilder()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="build(repast.simphony.context.Context)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>build</h4>
<pre class="methodSignature">public&nbsp;repast.simphony.context.Context&nbsp;build&#8203;(repast.simphony.context.Context&lt;java.lang.Object&gt;&nbsp;context)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>build</code>&nbsp;in interface&nbsp;<code>repast.simphony.dataLoader.ContextBuilder&lt;java.lang.Object&gt;</code></dd>
</dl>
</li>
</ul>
<a id="convert_sex(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convert_sex</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;convert_sex&#8203;(int&nbsp;sex)</pre>
</li>
</ul>
<a id="convert_education(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convert_education</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;convert_education&#8203;(int&nbsp;education)</pre>
</li>
</ul>
<a id="convert_income(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convert_income</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;convert_income&#8203;(int&nbsp;income)</pre>
</li>
</ul>
<a id="convert_household(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convert_household</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;convert_household&#8203;(int&nbsp;household)</pre>
</li>
</ul>
<a id="convert_car_age(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convert_car_age</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;convert_car_age&#8203;(int&nbsp;bouwjaar)</pre>
</li>
</ul>
<a id="convert_car_weight(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convert_car_weight</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;convert_car_weight&#8203;(int&nbsp;gewichtsklasse)</pre>
</li>
</ul>
<a id="convert_car_combustion_type(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convert_car_combustion_type</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;convert_car_combustion_type&#8203;(int&nbsp;fuelType)</pre>
</li>
</ul>
<a id="convert_car_ownership_type(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convert_car_ownership_type</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;convert_car_ownership_type&#8203;(int&nbsp;carType)</pre>
</li>
</ul>
<a id="convert_work_situation(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convert_work_situation</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;convert_work_situation&#8203;(int&nbsp;work_situation)</pre>
</li>
</ul>
<a id="convert_prof_sector(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convert_prof_sector</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;convert_prof_sector&#8203;(int&nbsp;prof_sector)</pre>
</li>
</ul>
<a id="convert_nbr_peop_organisation(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convert_nbr_peop_organisation</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;convert_nbr_peop_organisation&#8203;(int&nbsp;nbr_peop_organisation)</pre>
</li>
</ul>
<a id="convert_stim_work_provider(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convert_stim_work_provider</h4>
<pre class="methodSignature">public&nbsp;java.util.List&lt;java.lang.String&gt;&nbsp;convert_stim_work_provider&#8203;(java.util.List&lt;java.lang.Integer&gt;&nbsp;work_stimuli)</pre>
</li>
</ul>
<a id="convert_drivers_license(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convert_drivers_license</h4>
<pre class="methodSignature">public&nbsp;java.lang.Boolean&nbsp;convert_drivers_license&#8203;(int&nbsp;drivers_license)</pre>
</li>
</ul>
<a id="convert_has_car(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convert_has_car</h4>
<pre class="methodSignature">public&nbsp;java.lang.Boolean&nbsp;convert_has_car&#8203;(int&nbsp;has_car)</pre>
</li>
</ul>
<a id="convert_home_parking(int,int,int,int,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convert_home_parking</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;convert_home_parking&#8203;(int&nbsp;private_parking,
                                             int&nbsp;neighbourhood_parking,
                                             int&nbsp;neighbourhood_parking_$,
                                             int&nbsp;somewhere_else_parking,
                                             int&nbsp;somewhere_else_parking_$)</pre>
</li>
</ul>
<a id="convert_parking_at_work(int,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convert_parking_at_work</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;convert_parking_at_work&#8203;(int&nbsp;at_work,
                                                int&nbsp;at_work_$)</pre>
</li>
</ul>
<a id="convert_knowledge_BEV(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convert_knowledge_BEV</h4>
<pre class="methodSignature">public&nbsp;java.lang.Boolean&nbsp;convert_knowledge_BEV&#8203;(int&nbsp;knowledge_BEV)</pre>
</li>
</ul>
<a id="convert_satisfaction_commute(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convert_satisfaction_commute</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;convert_satisfaction_commute&#8203;(int&nbsp;satisfaction_commute)</pre>
</li>
</ul>
<a id="convert_reason_to_go_with_car(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convert_reason_to_go_with_car</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;convert_reason_to_go_with_car&#8203;(int&nbsp;reason_to_go_with_car)</pre>
</li>
</ul>
<a id="convert_knowledge_EV_regulations(int,int,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convert_knowledge_EV_regulations</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;convert_knowledge_EV_regulations&#8203;(int&nbsp;a,
                                            int&nbsp;b,
                                            int&nbsp;c)</pre>
</li>
</ul>
<a id="convert_knowledge_environmental(int,int,int,int,int,int,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convert_knowledge_environmental</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;convert_knowledge_environmental&#8203;(int&nbsp;a,
                                           int&nbsp;b,
                                           int&nbsp;c,
                                           int&nbsp;d,
                                           int&nbsp;e,
                                           int&nbsp;f,
                                           int&nbsp;g)</pre>
</li>
</ul>
<a id="convert_participation_environmental(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convert_participation_environmental</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;convert_participation_environmental&#8203;(java.util.List&lt;java.lang.Integer&gt;&nbsp;env_tact)</pre>
</li>
</ul>
<a id="convert_EV_reason(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convert_EV_reason</h4>
<pre class="methodSignature">public&nbsp;java.util.List&lt;java.lang.String&gt;&nbsp;convert_EV_reason&#8203;(java.util.List&lt;java.lang.Integer&gt;&nbsp;reason_EV)</pre>
</li>
</ul>
<a id="convert_choice_without_f(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convert_choice_without_f</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;convert_choice_without_f&#8203;(int&nbsp;choice_without_F)</pre>
</li>
</ul>
<a id="convert_EV_positive_surprise(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convert_EV_positive_surprise</h4>
<pre class="methodSignature">public&nbsp;java.util.List&lt;java.lang.String&gt;&nbsp;convert_EV_positive_surprise&#8203;(java.util.List&lt;java.lang.Integer&gt;&nbsp;EV_pos)</pre>
</li>
</ul>
<a id="convert_EV_negative_surprise(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convert_EV_negative_surprise</h4>
<pre class="methodSignature">public&nbsp;java.util.List&lt;java.lang.String&gt;&nbsp;convert_EV_negative_surprise&#8203;(java.util.List&lt;java.lang.Integer&gt;&nbsp;EV_neg)</pre>
</li>
</ul>
<a id="convert_used_shared_car(int,int,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convert_used_shared_car</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;convert_used_shared_car&#8203;(int&nbsp;a,
                                                int&nbsp;b,
                                                int&nbsp;c)</pre>
</li>
</ul>
<a id="convert_reason_not_to_use_shared_car(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convert_reason_not_to_use_shared_car</h4>
<pre class="methodSignature">public&nbsp;java.util.List&lt;java.lang.String&gt;&nbsp;convert_reason_not_to_use_shared_car&#8203;(java.util.List&lt;java.lang.Integer&gt;&nbsp;re_not_sh)</pre>
</li>
</ul>
<a id="convert_reason_to_use_shared_car(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convert_reason_to_use_shared_car</h4>
<pre class="methodSignature">public&nbsp;java.util.List&lt;java.lang.String&gt;&nbsp;convert_reason_to_use_shared_car&#8203;(java.util.List&lt;java.lang.Integer&gt;&nbsp;re_use_sh)</pre>
</li>
</ul>
<a id="convert_priv_loadPole(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convert_priv_loadPole</h4>
<pre class="methodSignature">public&nbsp;java.lang.Boolean&nbsp;convert_priv_loadPole&#8203;(int&nbsp;priv_loadPole)</pre>
</li>
</ul>
<a id="convert_happy_walk(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convert_happy_walk</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;convert_happy_walk&#8203;(int&nbsp;happy_walk)</pre>
</li>
</ul>
<a id="convert_batt_suf(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convert_batt_suf</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;convert_batt_suf&#8203;(int&nbsp;batt_suf)</pre>
</li>
</ul>
<a id="convert_fear_insuf_batt(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convert_fear_insuf_batt</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;convert_fear_insuf_batt&#8203;(int&nbsp;insuf_batt)</pre>
</li>
</ul>
<a id="conver_fac_EV(java.util.List)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>conver_fac_EV</h4>
<pre class="methodSignature">public&nbsp;java.util.List&lt;java.lang.String&gt;&nbsp;conver_fac_EV&#8203;(java.util.List&lt;java.lang.Integer&gt;&nbsp;fac_EV)</pre>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/EnvironmentBuilder.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
